package org.wso2.carbon.device.mgt.ios.payload.beans;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel(value = "ApplicationUserEnabledOptions",
        description = "This class represents the information of ApplicationUserEnabledOptions.")
public class ApplicationUserEnabledOptions {

    @ApiModelProperty(name = "voiceOver", value = "Enable/Disable status of the VoiceOver.", required = true)
    private Boolean voiceOver;
    @ApiModelProperty(name = "zoom", value = "Enable/Disable status of the Zoom.", required = true)
    private Boolean zoom;
    @ApiModelProperty(name = "invertColors", value = "Enable/Disable status of the invertColors.", required = true)
    private Boolean invertColors;
    @ApiModelProperty(name = "assistiveTouch", value = "Enable/Disable status of assistiveTouch.", required = true)
    private Boolean assistiveTouch;

    public Boolean getVoiceOver() {
        return voiceOver;
    }

    public void setVoiceOver(Boolean voiceOver) {
        this.voiceOver = voiceOver;
    }

    public Boolean getZoom() {
        return zoom;
    }

    public void setZoom(Boolean zoom) {
        this.zoom = zoom;
    }

    public Boolean getInvertColors() {
        return invertColors;
    }

    public void setInvertColors(Boolean invertColors) {
        this.invertColors = invertColors;
    }

    public Boolean getAssistiveTouch() {
        return assistiveTouch;
    }

    public void setAssistiveTouch(Boolean assistiveTouch) {
        this.assistiveTouch = assistiveTouch;
    }
}


